Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package shell
  Definition Classes
    interpreter
- Accumulator
- Completion
- CompletionResult
- History
- ILoop
- InteractiveReader
- Javap
- Javap8
- Javap9
- JavapClass
- JavapProvider
- JavapTask
- JavapTool
- Logger
- LoopCommands
- MultiCompletion
- NoCompletion
- NoCompletions
- NoHistory
- Parsed
- Pasted
- ProcessResult
- ReplCompletion
- ReplReporterImpl
- Scripted
- ShellConfig
- SimpleHistory
- SimpleReader
- Tabulator
- VariColumnTabulator
- WriterOutputStream

c

scala.tools.nsc.interpreter.shell

# Javap9

###

#### class Javap9 extends Javap

Loaded reflectively under JDK9 to load JavapTask tool.

Source
  JavapClass.scala

Linear Supertypes
Javap, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Javap9
2. Javap
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Javap9(intp0: Repl)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Javap9 toany2stringadd[Javap9] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Javap9, B)
   Implicit
     This member is added by an implicit conversion from Javap9 toArrowAssoc[Javap9] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def apply(args: Seq[String]): List[JpResult]

   Run the tool.

   Run the tool. Option args start with "-", except that "-" itself denotes the last REPL result. The default options are "-protected -verbose". Byte data for filename args is retrieved with findBytes.

   returns

     results for invoking JpResult.show()

   Definition Classes
     Javap
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def ensuring(cond: (Javap9) => Boolean, msg: => Any): Javap9
   Implicit
     This member is added by an implicit conversion from Javap9 toEnsuring[Javap9] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Javap9) => Boolean): Javap9
    Implicit
      This member is added by an implicit conversion from Javap9 toEnsuring[Javap9] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): Javap9
    Implicit
      This member is added by an implicit conversion from Javap9 toEnsuring[Javap9] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Javap9
    Implicit
      This member is added by an implicit conversion from Javap9 toEnsuring[Javap9] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Javap9 toStringFormat[Javap9] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  val intp: Repl
    Attributes
      protected
    Definition Classes
      Javap
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def loader: util.Either[String, ClassLoader with ScalaClassLoader]
    Definition Classes
      Javap9 → Javap
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def task(loader: ClassLoader): util.Right[Nothing, JavapTask]
    Definition Classes
      Javap9 → Javap
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Javap9, B)
   Implicit
     This member is added by an implicit conversion from Javap9 toArrowAssoc[Javap9] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Javap

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromJavap9 to any2stringadd[Javap9]

### Inherited by implicit conversion StringFormat fromJavap9 to StringFormat[Javap9]

### Inherited by implicit conversion Ensuring fromJavap9 to Ensuring[Javap9]

### Inherited by implicit conversion ArrowAssoc fromJavap9 to ArrowAssoc[Javap9]

### Ungrouped